% show bounding box annotations
% cat (optional): specify a catetory to show (0-4)

function showAnno(cat)
load imgIdx
if nargin > 0
    if cat > 4 || cat <0
        error('cat should be within [0,4]')
    end
    mask = [imgIdx.label] == cat;
    imgIdx = imgIdx(mask);
end

for i = 1:numel(imgIdx)
    I = imread(fullfile('img',imgIdx(i).name));
    subplot(5,5,mod(i-1,25)+1)
    imshow(I);
    anno = imgIdx(i).anno;
    for k = 1:size(anno,1)
        bbox = anno(k,:);
        bbox(3:4) = bbox(3:4)-bbox(1:2)+1;
        rectangle('Position',bbox,'edgecolor',[0 1 0],'linewidth',2);
    end
    if mod(i-1,25)+1 == 25
        pause
    end
end
